Announcement Announcement Module
Collapse
No announcement yet.
Dependencies in latest spring-ws-archetype Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Dependencies in latest spring-ws-archetype

    Pom in latest spring-ws-archetype contains 2 dependecies:
    Code:
    <dependencies>
            <dependency>
                <groupId>org.springframework.ws</groupId>
                <artifactId>spring-oxm</artifactId>
                <version>2.0.0-M1</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.ws</groupId>
                <artifactId>spring-ws-core</artifactId>
                <version>2.0.0-M1</version>
            </dependency>
    </dependencies>
    but starting spring version 3 artifact spring-oxm moved to groupId org.springframework (now version 3.0.5.RELEASE).
    What dependency should be in the latest POM:
    Code:
    <dependency>
               <groupId>org.springframework</groupId>
               <artifactId>spring-oxm</artifactId>
               <version>3.0.5.RELEASE</version>
    </dependency>
    or
    Code:
    <dependency>
                <groupId>org.springframework.ws</groupId>
                <artifactId>spring-xml</artifactId>
                <version>2.0.0-M1</version>
    </dependency>
    Victor
Working...
X